Nginx-1.9.15

Changes with nginx 1.9.15 19 Apr
2016

*) Bugfix: "recv() failed" errors might occur when using HHVM as a
   FastCGI server.

*) Bugfix: when using HTTP/2 and the "limit_req" or "auth_request"
   directives a timeout or a "client violated flow control" error 

might
occur while reading client request body; the bug had appeared in
1.9.14.

*) Workaround: a response might not be shown by some browsers if 

HTTP/2
was used and client request body was not fully read; the bug had
appeared in 1.9.14.

*) Bugfix: connections might hang when using the "aio threads"
   directive.
   Thanks to Mindaugas Rasiukevicius.


Maxim D.
http://nginx.org/

Hello Nginx users,

Now available: Nginx 1.9.15 for Windows
https://kevinworthington.com/nginxwin1915 (32-bit and 64-bit versions)

This version was built with OpenSSL 1.0.2g, so upgraded is strongly
encouraged.

These versions are to support legacy users who are already using Cygwin
based builds of Nginx. Officially supported native Windows binaries are
at
nginx.org.

Announcements are also available here:
Twitter http://twitter.com/kworthington
Google+ https://plus.google.com/+KevinWorthington/

Thank you,
Kevin

Kevin W.
kworthington @ (gmail] [dot} {com)
http://kevinworthington.com/
http://twitter.com/kworthington
https://plus.google.com/+KevinWorthington/

http://twitter.com/kworthington

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs